%define 	name 	emesene
%define 	version 2.12.9
%define 	release %mkrel 3

%define		build_gtk 1
#dams: disable qt4 frontend as it's entirely broken from now (upstream issue)
%define		build_qt 0

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	IM client for the Windows Live Messenger network and others
URL:		http://blog.emesene.org/
License:	Python Software Foundation License and GPLv3 and LGPLv3
Group:		Networking/Instant messaging
# Official tar.gz cleaned: 
#1. remove 'dlls', 'osx', 'windows' directories
Source:		%{name}-%{version}-0.tar.gz
Patch0:		emesene-2.12.9-desktop.patch
BuildArch:	noarch

Requires:	python >= 2.6
Requires:	python-dnspython
Requires:	pylint
Requires:	python-OpenSSL > 0.6
Requires:	python-imaging
Requires:	gnome-python-gtkspell
#Requires:	python-papyon >= 0.5.5

Requires:	%{name}-gui = %{version}-%{release}

Suggests:	python-webkitgtk
Suggests:	python-xmpp
Suggests: 	python-notify
Suggests:	python-dbus
Suggests:	python-gupnp-igd
Suggests:       python-gobject
Suggests:       python-gst0.10

Provides:       emesene2 = %{version}-%{release}

Obsoletes:      %{name}-qt4 <= 2.12.5-1

%description
Emesene is an OS independent Windows Live Messenger client writed in python and
GTK. The main idea is to make a client similar to the official Windows Live
Messenger client but kepping it simple and with a nice GUI.
 
Emesene is a python/GTK MSN messenger clone, it uses msnlib (MSNP9)
and try to be a nice looking and simple MSN client.

You can login, send formated messages, smilies, use autoreply, change
status, change nick, send nudges and all the stuff you can do in a
normal MSN client except, file transfers,custom emoticons and display
picture.

%if %build_gtk
%package	gtk2
Summary:        emesene GTK interface for emesene client
Group:          Networking/Instant messaging
Provides:       emesene-gui = %{version}-%{release}
Requires:       pygtk2.0 >= 2.12
Requires:	python-cairo
Requires:       %{name} = %{version}-%{release}
Suggests:	python-webkit
Suggests:	python-notify

%description	gtk2
This contains the GTK interface for emesene.
%endif

%if %build_qt
%package	qt4
Summary:        emesene Qt4 interface for emesene client
Group:          Networking/Instant messaging
Provides:       emesene-gui = %{version}-%{release}
Requires:	python-qt4 >= 4.6
Requires:       %{name} = %{version}-%{release}

%description	qt4
This contains the Qt4 interface for emesene.
%endif

%prep
%setup -q -n %{name}
%patch0 -p0

find -name \*~ |xargs rm -fv

%build
python setup.py build_ext -ilm

%install
rm -rf $RPM_BUILD_ROOT %{name}.lang

install -D -m 644 docs/man/%{name}.1 %{buildroot}%{_mandir}/man1/%{name}.1
install -D -m 644 %{name}/data/pixmaps/%{name}.png %{buildroot}%{_datadir}/icons/hicolor/48x48/apps/%{name}.png
install -D -m 644 %{name}/data/icons/hicolor/scalable/apps/%{name}.svg %{buildroot}%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
install -D -m 644 %{name}/data/share/applications/%{name}.desktop %{buildroot}%{_datadir}/applications/%{name}.desktop

cd %{name}

sed -i '/import e3dummy/d' emesene.py

# Copying files
mkdir -p %{buildroot}%{_datadir}/%{name}
cp -r * %{buildroot}%{_datadir}/%{name}

cd %{buildroot}%{_datadir}/%{name}

#delete Unity file
find . -type f -name UnityLauncher.py -exec rm -rf '{}' +
find . -type f -name .gitignore -exec rm -rf '{}' +
rm -rf debug*.list MANIFEST.in *.nsi *WINDOWS.txt *.translations setup.py *.developers %name.pot
find . -type f -name extension.py -exec chmod 755 '{}' +
find . -type f -name plugin_base.py -exec chmod 755 '{}' +
find . -type f -name e3_example.py -exec chmod 755 '{}' +
find . -type f -name emesene.py -exec chmod 755 '{}' +
find . -type f -name debugger.py -exec chmod 755 '{}' +
find . -type f -name SingleInstance.py -exec chmod 755 '{}' +
find . -type f -name pluginmanager.py -exec chmod 755 '{}' +

mkdir -p %{buildroot}%{_bindir}/
cat > %{buildroot}%{_bindir}/%{name} << EOF
#!/bin/sh
cd %{_datadir}/%{name}
exec ./%{name}
EOF

%files
%doc COPYING
%attr(755,root,root) %_bindir/%{name}
%{_datadir}/%{name}/
%exclude %{_datadir}/%{name}/gui/gtkui
%exclude %{_datadir}/%{name}/gui/qt4ui
%{_datadir}/icons/hicolor/*/apps/%{name}.*
%{_datadir}/applications/%{name}.desktop
%{_mandir}/man1/%{name}.1*

%if %build_gtk
%files gtk2
%{_datadir}/%{name}/gui/gtkui
%endif

%if %build_qt
%files qt4
%{_datadir}/%{name}/gui/qt4ui
%endif


%changelog
* Fri Oct 18 2013 umeabot <umeabot> 2.12.9-3.mga4
+ Revision: 504096
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 2.12.9-2.mga3
+ Revision: 349636
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Sep 07 2012 dams <dams> 2.12.9-1.mga3
+ Revision: 289295
- new version 2.12.9
- rediff .desktop patch

* Thu Jul 12 2012 dams <dams> 2.12.5-5.mga3
+ Revision: 270409
- fix Obsolete

* Tue Jul 10 2012 dams <dams> 2.12.5-4.mga3
+ Revision: 269215
- fix .desktop to show menu in KDE

* Mon Jul 09 2012 dams <dams> 2.12.5-3.mga3
+ Revision: 269094
- add an 'Obsoletes' not to break upgrades from 1 or 2

* Mon Jul 09 2012 dams <dams> 2.12.5-2.mga3
+ Revision: 269080
- remove Qt frontend as it's entirelly broken (upstream issue)

* Mon Jun 11 2012 dams <dams> 2.12.5-1.mga3
+ Revision: 259762
- update patch
- new version 2.12.5
- now use built-it python-papyon
- clean specfile
- update suggests/requires

* Fri Apr 13 2012 dams <dams> 2.12.3-1.mga2
+ Revision: 230657
- new version 2.12.3

* Fri Jan 06 2012 dams <dams> 2.12.1-1.mga2
+ Revision: 192421
- new version 2.12.1

* Sun Nov 13 2011 dams <dams> 2.11.11-1.mga2
+ Revision: 167355
- new version 2.11.11

* Fri Oct 14 2011 dmorgan <dmorgan> 2.11.9-3.mga2
+ Revision: 155252
- Fix file list

* Fri Oct 14 2011 dams <dams> 2.11.9-2.mga2
+ Revision: 155209
- move qt/gtk requires into subpackages

* Fri Oct 14 2011 dams <dams> 2.11.9-1.mga2
+ Revision: 155199
- split gui into 2 packages: -gtk2 and -qt4
- fix build without 'Unity'
- delete old patch
- update to emesene2
- update source to 2.11.9
- update and clean specfile

* Sat Apr 30 2011 sander85 <sander85> 1.6.3-4.mga1
+ Revision: 93829
- bump release for upgrading from mdv2010.{1,2}

* Wed Apr 06 2011 dams <dams> 1.6.3-1.mga1
+ Revision: 81221
- Import, clean, update patch, update spec file (-lm) and update to 1.6.3
- Import, clean, update patch and update to 1.6.3
- imported package emesene


* Thu Jun 24 2010 Luis Medinas <lmedinas@mandriva.org> 1.6.2-1mdv2010.1
+ Revision: 549087
-new version
-Fixes a few critical bugs from the last version

* Mon Apr 19 2010 Götz Waschk <waschk@mandriva.org> 1.6.1-1mdv2010.1
+ Revision: 536709
- new version
- update file list

* Thu Jan 07 2010 Götz Waschk <waschk@mandriva.org> 1.6-1mdv2010.1
+ Revision: 487046
- new version
- update file list

* Fri Nov 06 2009 Götz Waschk <waschk@mandriva.org> 1.5.1-1mdv2010.1
+ Revision: 460839
- new version
- update file list

* Fri Aug 21 2009 Götz Waschk <waschk@mandriva.org> 1.5-4mdv2010.0
+ Revision: 418997
- replace some requirements by suggestions
- suggest gnash

* Fri Aug 21 2009 Götz Waschk <waschk@mandriva.org> 1.5-3mdv2010.0
+ Revision: 418956
- silent update of 1.5
- enable mimic support
- no more noarch
- add man page
- add icons to the default locations
- use upstream desktop entry
- many spec file fixes
- add comment about libmimic

* Fri Aug 21 2009 Götz Waschk <waschk@mandriva.org> 1.5-2mdv2010.0
+ Revision: 418882
- update deps

* Thu Aug 20 2009 Götz Waschk <waschk@mandriva.org> 1.5-1mdv2010.0
+ Revision: 418697
- update to new version 1.5

* Tue Sep 09 2008 Adam Williamson <awilliamson@mandriva.org> 1.0.1-3mdv2009.0
+ Revision: 283158
- doh, it already required pygtk2. can people PLEASE stop using multiple
  requires per line? it's utterly unreadable.

* Tue Sep 09 2008 Adam Williamson <awilliamson@mandriva.org> 1.0.1-2mdv2009.0
+ Revision: 282890
- requires pygtk2.0 (reported on forums by Simon Rogers)

* Mon Jul 21 2008 Götz Waschk <waschk@mandriva.org> 1.0.1-1mdv2009.0
+ Revision: 239334
- new version

* Tue Apr 08 2008 Götz Waschk <waschk@mandriva.org> 1.0-1mdv2009.0
+ Revision: 192406
- new version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Dec 03 2007 Götz Waschk <waschk@mandriva.org> 0-0.20071202.1mdv2008.1
+ Revision: 114564
- new version

* Tue Aug 21 2007 Götz Waschk <waschk@mandriva.org> 0-0.20070821.1mdv2008.0
+ Revision: 68236
- new snapshot r801

* Tue Jul 03 2007 Götz Waschk <waschk@mandriva.org> 0-0.20070703.1mdv2008.0
+ Revision: 47631
- new version

* Thu May 24 2007 Götz Waschk <waschk@mandriva.org> 0-0.20070523.1mdv2008.0
+ Revision: 30608
- new version


* Sat Apr 07 2007 Götz Waschk <waschk@mandriva.org> 0-0.20070321.1mdv2007.1
+ Revision: 150939
- new snapshot

* Thu Mar 15 2007 Götz Waschk <waschk@mandriva.org> 0-0.20070315.1mdv2007.1
+ Revision: 144512
- new svn snapshot 454

* Fri Jan 12 2007 Götz Waschk <waschk@mandriva.org> 0-0.20070112.1mdv2007.1
+ Revision: 107836
- Import emesene

* Fri Jan 12 2007 Götz Waschk <waschk@mandriva.org> 0-0.20070112.1mdv2007.1
- initial package

